## org.eclipse.amp.amf.abase.parser.antlr.internal
Class InternalABaseLexer

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Lexer
              org.eclipse.xtext.parser.antlr.Lexer
                  org.eclipse.amp.amf.abase.parser.antlr.internal.InternalABaseLexer

All Implemented Interfaces:
  org.antlr.runtime.TokenSource

    public class InternalABaseLexer

extends org.eclipse.xtext.parser.antlr.Lexer

Field Summary
`protected org.eclipse.amp.amf.abase.parser.antlr.internal.InternalABaseLexer.DFA18` `dfa18`
`static int` `EOF`
`static int` `RULE_ANY_OTHER`
`static int` `RULE_DESC_STRING`
`static int` `RULE_ID`
`static int` `RULE_INT`
`static int` `RULE_INTEGER`
`static int` `RULE_ML_COMMENT`
`static int` `RULE_REAL`
`static int` `RULE_SL_COMMENT`
`static int` `RULE_STRING`
`static int` `RULE_WS`
`static int` `T__14`
`static int` `T__15`

Fields inherited from class org.antlr.runtime.Lexer
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`InternalABaseLexer()`
`InternalABaseLexer(org.antlr.runtime.CharStream input)`
`InternalABaseLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`java.lang.String` `getGrammarFileName()`
`void` `mRULE_ANY_OTHER()`
`void` `mRULE_DESC_STRING()`
`void` `mRULE_ID()`
`void` `mRULE_INT()`
`void` `mRULE_INTEGER()`
`void` `mRULE_ML_COMMENT()`
`void` `mRULE_REAL()`
`void` `mRULE_SL_COMMENT()`
`void` `mRULE_STRING()`
`void` `mRULE_WS()`
`void` `mT__14()`
`void` `mT__15()`
`void` `mTokens()`

Methods inherited from class org.eclipse.xtext.parser.antlr.Lexer
`emitErrorMessage, getErrorMessage, nextToken`

Methods inherited from class org.antlr.runtime.Lexer
`emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer

`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_ID

    public static final int RULE_ID

See Also:
  Constant Field Values

### RULE_STRING

    public static final int RULE_STRING

See Also:
  Constant Field Values

### T__15

    public static final int T__15

See Also:
  Constant Field Values

### T__14

    public static final int T__14

See Also:
  Constant Field Values

### RULE_ANY_OTHER

    public static final int RULE_ANY_OTHER

See Also:
  Constant Field Values

### RULE_INT

    public static final int RULE_INT

See Also:
  Constant Field Values

### RULE_REAL

    public static final int RULE_REAL

See Also:
  Constant Field Values

### RULE_WS

    public static final int RULE_WS

See Also:
  Constant Field Values

### RULE_DESC_STRING

    public static final int RULE_DESC_STRING

See Also:
  Constant Field Values

### RULE_SL_COMMENT

    public static final int RULE_SL_COMMENT

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### RULE_INTEGER

    public static final int RULE_INTEGER

See Also:
  Constant Field Values

### RULE_ML_COMMENT

    public static final int RULE_ML_COMMENT

See Also:
  Constant Field Values

### dfa18

    protected org.eclipse.amp.amf.abase.parser.antlr.internal.InternalABaseLexer.DFA18 dfa18

Constructor Detail

### InternalABaseLexer

    public InternalABaseLexer()

### InternalABaseLexer

    public InternalABaseLexer(org.antlr.runtime.CharStream input)

### InternalABaseLexer

    public InternalABaseLexer(org.antlr.runtime.CharStream input,
                              org.antlr.runtime.RecognizerSharedState state)

Method Detail

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### mT__14

    public final void mT__14()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__15

    public final void mT__15()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_INTEGER

    public final void mRULE_INTEGER()
                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_REAL

    public final void mRULE_REAL()
                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_DESC_STRING

    public final void mRULE_DESC_STRING()
                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ID

    public final void mRULE_ID()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_INT

    public final void mRULE_INT()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_STRING

    public final void mRULE_STRING()
                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ML_COMMENT

    public final void mRULE_ML_COMMENT()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_SL_COMMENT

    public final void mRULE_SL_COMMENT()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_WS

    public final void mRULE_WS()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ANY_OTHER

    public final void mRULE_ANY_OTHER()
                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mTokens

    public void mTokens()
                 throws org.antlr.runtime.RecognitionException

  Specified by:
    `mTokens` in class `org.antlr.runtime.Lexer`
  Throws:
    `org.antlr.runtime.RecognitionException`